Package: org.codehaus.groovy.grails.web.converters.marshaller.xml

## [Java] Class CollectionMarshaller

- org.codehaus.groovy.grails.web.converters.marshaller.xml.CollectionMarshaller

- All Implemented Interfaces and Traits:
    NameAwareMarshaller, ObjectMarshaller

      @java.lang.SuppressWarnings("rawtypes")
      public class CollectionMarshaller
      extends java.lang.Object

  Authors:
    Siegfried Puchbauer
  Since:
    1.1

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.lang.String` | `getElementName(java.lang.Object o)`
    `void` | `marshalObject(java.lang.Object object, XML xml)`
    `boolean` | `supports(java.lang.Object object)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### public java.lang.String getElementName(java.lang.Object o)

    - #### public void marshalObject(java.lang.Object object, XML xml)

    - #### public boolean supports(java.lang.Object object)